#include <VirtualWire.h>

const int buttonPin = 8;  // the number of the pushbutton pin
const int txPin = 11;     // the number of the tx module
const int rxPin = 12;     // the number of the rx module
const int ledPin = 13;

int buttonState = 0;      // variable for reading the pushbutton status

char *txBuffer;           // 
int state;
int roundCounter;

void setup() {
  pinMode(ledPin,OUTPUT); //LED
  Serial.begin(9600);
  Serial.println("init debug");
  
  //pinMode(8,OUTPUT); //LED
  vw_set_ptt_inverted(true);//required for sender/receiver modules
  vw_set_tx_pin(txPin);
  vw_set_rx_pin(rxPin);
  vw_setup(4000);//speed in bps
  vw_rx_start();//start receiving at receiver module
  state = 1;
  roundCounter = 0;

  txBuffer = "1"; 
  vw_send((uint8_t *) txBuffer, strlen(txBuffer));
  vw_wait_tx(); //wait until message is sent completely
  Serial.println("initial send");
}

void loop() {
  roundCounter++;
  uint8_t buf[VW_MAX_MESSAGE_LEN];
  uint8_t buflen = VW_MAX_MESSAGE_LEN;

  state = 0;
  if (vw_get_message(buf, &buflen)) { // Non-blocking
    if(buf[0]=='1'){
      Serial.println("receive");
      digitalWrite(ledPin, HIGH);
      delay(500);
      digitalWrite(ledPin, LOW);
    }  
  }
  //delay(25);

  buttonState = digitalRead(buttonPin);
  if (buttonState == HIGH) {
    txBuffer = "1"; 
    vw_send((uint8_t *) txBuffer, strlen(txBuffer));
    vw_wait_tx(); //wait until message is sent completely
    Serial.println("send");
    
    digitalWrite(ledPin, HIGH);
    delay(100);
    digitalWrite(ledPin, LOW);
    delay(100);
    digitalWrite(ledPin, HIGH);
    delay(100);
    digitalWrite(ledPin, LOW);
    delay(100);
    digitalWrite(ledPin, HIGH);
    delay(100);
    digitalWrite(ledPin, LOW);
    delay(100);
  }

  //reset roundCounter
  if (roundCounter > 1000) {
    roundCounter = 0;
  }
}
